Passer au contenu principal
POST
https://{tenantDomain}/api/v2
/
keys
/
encryption
/
{kid}
/
wrapping-key
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Keys.Encryption.CreatePublicWrappingKeyAsync(
            "kid"
        );
    }

}
{
  "public_key": "<string>",
  "algorithm": "CKM_RSA_AES_KEY_WRAP"
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

kid
string
requis

Encryption key ID

Réponse

The public wrapping key was successfully created.

public_key
string
requis

Public wrapping key in PEM format

algorithm
enum<string>
requis

Encryption algorithm that shall be used to wrap your key material

Options disponibles:
CKM_RSA_AES_KEY_WRAP